Skip to main content
`Ctrl`+`K`

# SNESSetTrustRegionTolerance

Sets the trust region parameter tolerance.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESSetTrustRegionTolerance(SNES snes, PetscReal tol)

Logically Collective

## Input Parameters

- snes - the `SNES` context

- tol - tolerance

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESNEWTONTR`, `SNESSetTolerances()`

## Level

deprecated

## Location

src/snes/impls/tr/tr.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages